## 配置参数
- server 服务器地址
- token 服务器项目token
## 功能
- 错误获取 全局拦截错误 以error状态传递到服务器
- console.log拦截 重写console.log 以console状态传递到服务器
- 自定义输出 info warning error

## 使用技术栈
- axios
- es6
- webpack
- babel
## 主要实现
### 目录结构
```
|-dist/ 打包后文件
|-model/
| |-console.js 拦截console的主要模块
| |-errorhook.js 全局拦截错误的主要模块
| |-custom.js 自定义输出主要模块
| |-upload.js 将信息上传至服务器的主要模块
|-main.js 主要配置文件与初始化操作
|-webpack.config.js webpack配置文件
```
> 可能还需要babel配置文件
### 各模块介绍
#### console.js
拦截所有的输出，用console形式上传至服务器，用于获取个性输出，判断输出信息是否正确。
实现过程
- 重写console
- 拦截输出
- 打印输出 并上传至服务器
#### errorhook.js 
注册全局事件 捕获全部js的错误输出
实现过程
- 注册全局



